From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-fs/netatalk/
Date: Wed, 2 Jan 2019 11:39:33 +0000 (UTC) [thread overview]
Message-ID: <1546429165.702ecfb371c1cdf498527f970283cc77481fef3e.jlec@gentoo> (raw)
commit: 702ecfb371c1cdf498527f970283cc77481fef3e
Author: Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 2 11:24:44 2019 +0000
Commit: Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Jan 2 11:39:25 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=702ecfb3
net-fs/netatalk: Version Bump
Package-Manager: Portage-2.3.53, Repoman-2.3.12
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>
net-fs/netatalk/Manifest | 1 +
net-fs/netatalk/netatalk-3.1.12.ebuild | 182 +++++++++++++++++++++++++++++++++
2 files changed, 183 insertions(+)
diff --git a/net-fs/netatalk/Manifest b/net-fs/netatalk/Manifest
index a4106c8d48a..811d0746015 100644
--- a/net-fs/netatalk/Manifest
+++ b/net-fs/netatalk/Manifest
@@ -1,3 +1,4 @@
DIST netatalk-3.1.10.tar.bz2 1811929 BLAKE2B 9249b6e32ae8a5c3cefd461e182fa4972c3b65c19cc8f25f3eeaa00b8f2694ee2e03d1adf702e59a7a8da5d3f53d047c18f99a13bbfbc6d4b29b888ee20f1906 SHA512 dd1f49307b5298a784e2b487c0da94459632bab8353cf505cd4b104f4c0b55bbb77caf73e8b4c60af64018b345df78337accac3b5ed6cb5620309b163a86d32b
DIST netatalk-3.1.11.tar.bz2 1812227 BLAKE2B a416d8fe96df6869ac63b0d41ede37e21f7a49528f12719a74497813749b5cf523c2f3cba5a5034cb2a978c2c83ea1d516a24b71f28fa584bc5c9261f129274c SHA512 330e584f34b5f5e8714b3eca8e11adb93134cc0afa73e9bc25ddadcf3e9a96779a2979dfc08a64d343b148bc2d4e0e0f25b08d9c46d6b68057611d04ecfd06ea
+DIST netatalk-3.1.12.tar.bz2 1918312 BLAKE2B a0672ad769530d96b13a4bf74a1f17d86aa924f05e8185cf6b1bdbfe97fbcf23d36e2f3e5e32a32194a9d3020864e5afa2812f8fb947c68629b15c259a745bf3 SHA512 0b22abaf0084d5684ccc049225abb34caa32893ea8fe7eb67901fde94726f054149ce78d2da49cf06fe30360eb18b2edccff20f9ac69d5ab5105f6d2f4178759
DIST netatalk-3.1.8.tar.bz2 1802404 BLAKE2B 101285dc9c031b95a6e353a215ba119e6e25a7c3741e4ce40d86c21479fe33c2b268923d5ff060b97f3c35cb10c99d94c4da2fa4a089c8dfcef08a28044ed186 SHA512 734745743b2d5fe39f3d6716f377e6255d6a061e3c615a4fe30db388ec6d848f6db063d733dfa24ccf967f1e9042841bce4824f4bed391952c4304ee11e11b0d
diff --git a/net-fs/netatalk/netatalk-3.1.12.ebuild b/net-fs/netatalk/netatalk-3.1.12.ebuild
new file mode 100644
index 00000000000..026d6442f0e
--- /dev/null
+++ b/net-fs/netatalk/netatalk-3.1.12.ebuild
@@ -0,0 +1,182 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+
+AUTOTOOLS_AUTORECONF=yes
+
+inherit autotools flag-o-matic multilib pam python-r1 systemd
+
+DESCRIPTION="Open Source AFP server"
+HOMEPAGE="http://netatalk.sourceforge.net/"
+SRC_URI="mirror://sourceforge/project/${PN}/${PN}/$(ver_cut 1-3)/${P}.tar.bz2"
+
+LICENSE="GPL-2 BSD"
+SLOT="0/18.0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="acl cracklib dbus debug kerberos ldap pam pgp quota samba +shadow ssl static-libs tracker tcpd +utils zeroconf"
+
+CDEPEND="
+ !app-editors/yudit
+ dev-libs/libevent:0=
+ >=dev-libs/libgcrypt-1.2.3:0
+ sys-apps/coreutils
+ >=sys-libs/db-4.2.52:=
+ sys-libs/tdb
+ acl? (
+ sys-apps/attr
+ sys-apps/acl
+ )
+ cracklib? ( sys-libs/cracklib )
+ dbus? ( sys-apps/dbus dev-libs/dbus-glib )
+ kerberos? ( virtual/krb5 )
+ ldap? ( net-nds/openldap )
+ pam? ( virtual/pam )
+ ssl? ( dev-libs/openssl:0= )
+ tcpd? ( sys-apps/tcp-wrappers )
+ tracker? ( app-misc/tracker )
+ utils? ( ${PYTHON_DEPS} )
+ zeroconf? ( net-dns/avahi[dbus] )
+"
+RDEPEND="${CDEPEND}
+ utils? (
+ dev-lang/perl
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ )"
+DEPEND="${CDEPEND}
+ virtual/yacc
+ sys-devel/flex"
+
+RESTRICT="test"
+
+REQUIRED_USE="
+ ldap? ( acl )
+ tracker? ( dbus )
+ utils? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1.7-gentoo.patch
+ "${FILESDIR}"/${PN}-3.1.8-disable-ld-library-path.patch #564350
+)
+
+src_prepare() {
+ default
+ append-flags -fno-strict-aliasing
+
+ if ! use utils; then
+ sed \
+ -e "s:shell_utils::g" \
+ -i contrib/Makefile.am || die
+ fi
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=()
+
+ # Ignore --with-init-style=gentoo, we install the init.d by hand and we avoid having
+ # to sed the Makefiles to not do rc-update.
+ # TODO:
+ # systemd : --with-init-style=systemd
+ myeconfargs+=(
+ $(use_enable debug)
+ $(use_enable debug debugging)
+ $(use_enable pgp pgp-uam)
+ $(use_enable kerberos)
+ $(use_enable kerberos krbV-uam)
+ $(use_enable quota)
+ $(use_enable tcpd tcp-wrappers)
+ $(use_enable zeroconf)
+ $(use_with acl acls)
+ $(use_with cracklib)
+ $(use_with dbus afpstats)
+ $(use_with ldap)
+ $(use_with pam)
+ $(use_with samba smbsharemodes)
+ $(use_with shadow)
+ $(use_with ssl ssl-dir)
+ $(use_with tracker)
+ $(use_with tracker dbus-daemon "${EPREFIX}/usr/bin/dbus-daemon")
+ $(use_with tracker tracker-pkgconfig-version $(ver_cut 1-2 $(best_version app-misc/tracker | sed 's:app-misc/tracker-::g')))
+ --enable-overwrite
+ --disable-krb4-uam
+ --disable-afs
+ --with-libevent-header=/usr/include
+ --with-libevent-lib=/usr/$(get_libdir)
+ --with-bdb=/usr
+ --with-uams-path=/usr/$(get_libdir)/${PN}
+ --disable-silent-rules
+ --with-init-style=gentoo-openrc
+ --without-libevent
+ --without-tdb
+ --with-lockfile=/run/lock/${PN}
+ )
+ econf ${myeconfargs[@]}
+}
+
+src_install() {
+ default
+
+ if use zeroconf; then
+ sed -i -e '/avahi-daemon/s:use:need:g' "${D}"/etc/init.d/${PN} || die
+ else
+ sed -i -e '/avahi-daemon/d' "${D}"/etc/init.d/${PN} || die
+ fi
+
+ # The pamd file isn't what we need, use pamd_mimic_system
+ rm -rf "${ED}/etc/pam.d" || die
+ pamd_mimic_system netatalk auth account password session
+
+ sed \
+ -e "s|:SBINDIR:|${EPREFIX}/usr/sbin|g" \
+ -e "s|:PATH_NETATALK_LOCK:|/run/lock/netatalk|g" \
+ distrib/initscripts/service.systemd.tmpl \
+ > "${T}"/service.systemd || die
+ systemd_newunit "${T}"/service.systemd ${PN}.service
+
+ use utils && python_foreach_impl python_doscript contrib/shell_utils/afpstats
+}
+
+pkg_postinst() {
+ local fle v
+ for v in ${REPLACING_VERSIONS}; do
+ if [[ $(ver_test ${v} -lt 3) ]]; then
+ for fle in afp_signature.conf afp_voluuid.conf; do
+ if [[ -f "${ROOT}"etc/netatalk/${fle} ]]; then
+ if [[ ! -f "${ROOT}"var/lib/netatalk/${fle} ]]; then
+ mv \
+ "${ROOT}"etc/netatalk/${fle} \
+ "${ROOT}"var/lib/netatalk/
+ fi
+ fi
+ done
+
+ echo ""
+ elog "Starting from version 3.0 only uses a single init script again"
+ elog "Please update your runlevels accordingly"
+ echo ""
+ elog "Dependencies should be resolved automatically depending on settings"
+ elog "but please report issues with this on https://bugs.gentoo.org/ if"
+ elog "you find any."
+ echo ""
+ elog "Following config files are obsolete now:"
+ elog "afpd.conf, netatalk.conf, AppleVolumes.default and afp_ldap.conf"
+ elog "in favour of"
+ elog "/etc/afp.conf"
+ echo ""
+ elog "Please convert your existing configs before you restart your daemon"
+ echo ""
+ elog "The new AppleDouble default backend is appledouble = ea"
+ elog "Existing entries will be updated on access, but can do an offline"
+ elog "conversion with"
+ elog "dbd -ruve /path/to/Volume"
+ echo ""
+ elog "For general notes on the upgrade, please visit"
+ elog "http://netatalk.sourceforge.net/3.0/htmldocs/upgrade.html"
+ echo ""
+ break
+ fi
+ done
+}
next reply other threads:[~2019-01-02 11:39 UTC|newest]
Thread overview: 42+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-01-02 11:39 Justin Lecher [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-15 9:29 [gentoo-commits] repo/gentoo:master commit in: net-fs/netatalk/ Ulrich Müller
2023-10-20 12:53 Hans de Graaff
2023-10-13 14:14 Arthur Zamarin
2023-10-13 2:44 Sam James
2023-10-12 23:32 Sam James
2023-10-08 5:33 Sam James
2023-10-08 5:33 Sam James
2022-07-11 3:10 Sam James
2022-04-10 10:17 Sam James
2022-03-23 0:14 Sam James
2022-02-02 0:08 Sam James
2022-02-01 5:19 Sam James
2022-02-01 4:43 Sam James
2021-06-30 18:40 Sam James
2021-04-28 16:27 Matt Turner
2021-01-27 3:28 Sam James
2021-01-22 16:32 Mikle Kolyada
2020-08-22 8:04 Michał Górny
2020-06-11 13:49 David Seifert
2019-10-12 21:19 Mikle Kolyada
2019-08-11 11:20 David Seifert
2019-08-01 20:01 Andreas Sturmlechner
2019-08-01 19:58 Mikle Kolyada
2019-06-05 6:48 Agostino Sarubbo
2019-02-15 18:42 Mart Raudsepp
2019-01-02 11:39 Justin Lecher
2019-01-02 11:39 Justin Lecher
2017-11-26 23:11 David Seifert
2017-04-13 17:48 Michael Weber
2016-12-24 10:26 Agostino Sarubbo
2016-12-23 15:33 Justin Lecher
2016-12-18 16:30 Agostino Sarubbo
2016-12-18 16:25 Agostino Sarubbo
2016-12-05 15:02 Pacho Ramos
2016-10-26 16:53 Markus Meier
2016-10-23 20:53 Justin Lecher
2016-10-23 20:53 Justin Lecher
2016-10-02 12:37 Pacho Ramos
2016-05-11 17:53 Mike Frysinger
2016-03-18 19:11 Michał Górny
2016-01-07 10:38 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1546429165.702ecfb371c1cdf498527f970283cc77481fef3e.jlec@gentoo \
--to=jlec@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox